// Copyright (C) 2009 Fred Allen.
// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


static inline EDITOR_COLOR MakeEditorColor(UINT8 r, UINT8 g, UINT8 b, UINT8 a)
{
	return (EDITOR_COLOR)((((UINT32)a) << 24) | (((UINT32)r) << 16) | (((UINT32)g) << 8) | ((UINT32)b));
}

static inline EDITOR_COLOR MakeEditorColor(UINT8 r, UINT8 g, UINT8 b)
{
	return (EDITOR_COLOR)(0xFF000000 | (((UINT32)r) << 16) | (((UINT32)g) << 8) | ((UINT32)b));
}

static inline UINT8 EditorColorR(EDITOR_COLOR c)
{
	return (UINT8)(c >> 16);
}

static inline UINT8 EditorColorG(EDITOR_COLOR c)
{
	return (UINT8)(c >> 8);
}

static inline UINT8 EditorColorB(EDITOR_COLOR c)
{
	return (UINT8)(c);
}

static inline UINT8 EditorColorA(EDITOR_COLOR c)
{
	return (UINT8)(c >> 24);
}

static inline float EditorColorR_float(EDITOR_COLOR c)
{
	return ((((float)((c >> 16) & 0xFF)) / 255.0));
}

static inline float EditorColorG_float(EDITOR_COLOR c)
{
	return ((((float)((c >> 8) & 0xFF)) / 255.0));
}

static inline float EditorColorB_float(EDITOR_COLOR c)
{
	return ((((float)(c & 0xFF)) / 255.0));
}

static inline float EditorColorA_float(EDITOR_COLOR c)
{
	return ((((float)((c >> 24) & 0xFF)) / 255.0));
}

