set theCurPath "";					# current path is blank


# if the current working directory is different from theCurPath, display the new one and set theCurPath to it 
proc DisplayPath {} \
{
	global theCurPath
	if {$theCurPath!=[pwd]} \
	{
		set theCurPath [pwd]
		setglobalbottombartext 2 [getbottombarstringwidth $theCurPath] $theCurPath
	}
}

# this is called by TCL N times a second, for us to do any work we need to do
proc doTimerStuff {} \
{
	DisplayPath
}

proc ChooseWindowProc {} \
{
	set theWindowList [windowlist]
	set numItems [llength $theWindowList]
	set theItem 0
	while {$theItem<$numItems} \
	{
		set theWindow [lindex $theWindowList $theItem]
		if {[isdirty $theWindow]}\
		{
			set theWindowList [lreplace $theWindowList $theItem $theItem $theWindow*]
		} \
		else \
		{
			set theWindowList [lreplace $theWindowList $theItem $theItem $theWindow]
		}
		incr theItem
	}

	set theWindow [bringuppopupmenu $theWindowList]
	if {[llength $theWindow]>=1} \
	{
		set theWindow [string trim $theWindow *\ ]
		set theWindow [lindex $theWindow 0]
		settopwindow $theWindow
	}
}

# Locate all function like lines, bring them up in a list box, allowing the
# user to choose one, then move to the chosen one.
proc LocateFunctionsProc {} \
{
	set window [ActiveWindowOrBeep]
	setmark $window temp;									# remember what was selected, we will not disturb it
	TextToBuffer tempFindBuffer {^[A-Za-z][A-Za-z0-9_ *\[\]\t\n]*\([^\-{}=|!+/;]*\)};	# load up the expression
	setselectionends $window 0 0;							# move to the top of the buffer to perform the search
	if {[catch {findall $window tempFindBuffer -regex} message]==0} \
	{
		if {$message!=-1} \
		{
			set name [newbuffer [NewWindowName]];			# make a buffer to hold the prototypes
			copy $window $name;								# get selected prototypes into a buffer
			setselectionends $window 0 0;					# move to the top of the buffer
			setselectionends $name 0 0;						# move to the top of the prototypes buffer
			# see if the last line is terminated with a new-line, if not, add one
			set end [lindex [textinfo $name] 1];				# get position of end of buffer
			if {[lindex [positiontolineoffset $name $end] 1]!=0} \
			{
				setselectionends $name $end $end;			# move to the end of the prototypes buffer
				insert $name "\n";							# terminate the last line
			}

			set end [lindex [textinfo $name] 1];				# get position of end of buffer
			# see if the last line is terminated with a new-line, if not, add one
			if {[lindex [positiontolineoffset $name $end] 1]!=0} \
			{
				setselectionends $name $end $end;			# move to the end of the prototypes buffer
				insert $name "\n";							# terminate the last line
			}

			setselectionends $name 0 0;						# move to the top of the prototypes buffer
			flushundos $name;								# get rid of any undos we made here, just to be nice
			cleardirty $name;								# make it non-modified
			TextToBuffer tempFindBuffer {^[A-Za-z][^(;,\n]+\([^)]*\)};	# load up the expression
			if {[catch {findall $name tempFindBuffer -regex} message]==0} \
			{
				if {$message!=-1} \
				{
					# found at least one function-looking line - get the pertinent parts of each
					# to put in the popup menu
					set funcList	[selectedtextlist $name]
					if {[set choice [bringuppopupmenu $funcList [gotomark $window temp]]] != ""} \
					{
						TextToBuffer tempFindBuffer [lindex $choice 0]
						setselectionends $window 0 0;				# move to the top of the buffer to perform the search
						catch {find $window tempFindBuffer} message
						HomeWindowToSelectionStart $window -strict
					} \
					else \
					{
						gotomark $window temp;				# put back the user's selection
					}
				} \
				else \
				{
					beep
					gotomark $window temp;					# put back the user's selection
				}
			} \
			else \
			{
				okdialog $message
				gotomark $window temp;						# put back the user's selection
			}
			closebuffer $name;								# get rid of the buffer
		} \
		else \
		{
			beep
			gotomark $window temp;							# put back the user's selection
		}
	} \
	else \
	{
		okdialog $message
		gotomark $window temp;								# put back the user's selection
	}
	closemark $window temp;									# get rid of temp selection
}


setglobalbottombarbutton 0 [getbottombarstringwidth "{}"] "{}" LocateFunctionsProc
setglobalbottombarbutton 1 [getbottombarstringwidth "Files"] "Files" ChooseWindowProc

addmenu {C} LASTCHILD 1 "Make"							{\Kx0010000000M}	{breakundo [ActiveWindowOrBeep];set theData "make RELEASE=1"; set theWindow [ActiveWindowOrBeep]; task $theWindow $theData}
addmenu {C} LASTCHILD 1 "Make debug"					{\Kx1010000000M}	{breakundo [ActiveWindowOrBeep];set theData "make"; set theWindow [ActiveWindowOrBeep]; task $theWindow $theData}

set env(TARGET_CPU) "i686"
set env(TARGET_OS) "osx"
set env(TARGET_DM) "osx"
set env(VFCOMMON_LEAN) "1"

set env(NOODLESFRAMEWORK) "/Users/allenf/svn_repos/NoodlesFramework"
set env(NDK_MODULE_PATH) "/Users/allenf/dev/ZEngine/trunk/Lib/Android/"

AddDirectoryMenu "/Users/allenf/svn_repos/NoodlesFramework"
