set workSheetBufName "";

proc IsThisTheWorkSheetWindow {theWindow} \
{
	global workSheet

	if {$workSheet} \
	{
		return [expr {[catch {getbuffervariable $theWindow worksheet} errorMessage]==0}]
	}
	return 0
}

proc OpenWorkSheet {} \
{
	global env workSheetBufName SCRIPTPATH
	
	set theWorkSheetName [file dirname $SCRIPTPATH]/worksht.e93
	if {[file exists $theWorkSheetName]} \
	{
		OpenDefaultWindow [set workSheetBufName [openbuffer $theWorkSheetName]]
		setbuffervariable $workSheetBufName worksheet "";
	} \
	else \
	{
		OpenDefaultWindow [set workSheetBufName [newbuffer $theWorkSheetName]]
		setbuffervariable $workSheetBufName worksheet "";
		if {[catch {savebufferas $workSheetBufName $theWorkSheetName} errorMessage]!=0} \
		{
			okdialog "Failed to save:\n'$theWorkSheetName'\n$errorMessage"
			return -code error
		}
	}
}

proc SaveWorkSheet {} \
{
	global env workSheetBufName

	foreach theWindow [windowlist] \
	{
		if {[IsThisTheWorkSheetWindow $theWindow]} \
		{
			if {[catch {savebuffer $theWindow} errorMessage]!=0} \
			{
				okdialog "Failed to save:\n'$theWindow'\n$errorMessage"
			}
			closewindow $theWindow
		}
	}
}

if {$workSheet=="TRUE"} \
{
	OpenWorkSheet;					# open the worksheet
	bindkey F8			{x0000000000} {homewindow $workSheetBufName 0 0;settopwindow $workSheetBufName}
}

