# Syntax coloring rules for 'swift'
# January 23, 2015  FEA

addsyntaxmap "Swift" \
{
	exp {e_types				"<(Int, UInt, Float, Double)>"}
	exp {e_keywords				"<(class|deinit|enum|extension|func|import|init|inout|internal|let|operator|private|protocol|public|static|struct|subscript|typealias|var)>"}
	exp {e_directive_intro		"^\[ \\t\]*#"}
	exp {e_directive_include	"<(include|import)>"}
	exp {e_directive_others		"<(pragma|error|define|undef|if|ifdef|ifndef|else|elif|defined|endif|line)>"}
	exp {e_include_quote_start	"\\<"}
	exp {e_include_quote_end	"\\>"}
	exp {e_comment_start		"/\\*"}
	exp {e_comment_end			"\\*/"}
	exp {e_alt_comment_start	"//"}
	exp {e_end_of_line			"$"}
	exp {e_string_delimiter		"\""}
	exp {e_quoted_char			"(\\\\)(\[-\])"}
	exp {e_char_delimiter		"'"}

	map {m_keywords				e_keywords				{}									$style_keyword		0				0}
	map {m_types				e_types					{}									$style_type			0				0}
	map {m_directive			e_directive_intro		{e_end_of_line}						$style_directive	0				0}
	map {m_directive_include	e_directive_include		{e_end_of_line}						$style_directive	0				0}
	map {m_directive_others		e_directive_others		{}									$style_directive	0				0}
	map {m_include_quote		e_include_quote_start	{e_include_quote_end}				$style_delimiter	$style_string	$style_delimiter}
	map {m_quoted_char			e_quoted_char:0			{e_quoted_char:1}					$style_delimiter	0				$style_char}
	map {m_comment				e_comment_start			{e_comment_end}						$style_comment		$style_comment	$style_comment}
	map {m_alt_comment			e_alt_comment_start		{e_end_of_line}						$style_comment		$style_comment	$style_comment}
	map {m_string				e_string_delimiter		{e_string_delimiter}				$style_delimiter	$style_string	$style_delimiter}
	map {m_char					e_char_delimiter		{e_char_delimiter}					$style_delimiter	$style_char		$style_delimiter}

	at {m_directive				{m_quoted_char m_directive_include m_directive_others m_keywords m_types m_comment m_alt_comment m_string m_char}}
	at {m_directive_include		{m_quoted_char m_keywords m_types m_comment m_alt_comment m_string m_include_quote m_char}}
	at {m_include_quote			{m_quoted_char}}
	at {m_string				{m_quoted_char}}
	at {m_char					{m_quoted_char}}

	root {m_quoted_char m_directive m_keywords m_types m_comment m_alt_comment m_string m_char}
}

set	extensionHuntExpression(Swift)	{^((.*\.swift))$}
set	extensionTabSize(Swift)		4
set	extensionColorScheme(Swift)	"fred"
set	extensionMapName(Swift)		"Swift"



